Subject: Re: Problems with Mercury
From: [email-masked] (Fergus Henderson)

18 Sep 1998 13:22:53 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]
Cc: [email-masked]

[email-masked] wrote:
>
> Has anyone successfully compiled and installed Mercury lately?

Earnie Boyd <[email-masked]> replied:
> STATUS_ACCESS_VIOLATION relates to SIGSEGV, meaning that you've
> stepped outside the memory bounds of the program.
> 
> 1) If the package has it's own memory allocation routines remove them
> and use the mmalloc.a library supplied by the cygwin product.
> 
> 2) If the compilations gave you warnings concerning pointers and
> non-pointers, consider them errors and fix them.
> 
> 3) If you pointer who has a value of NULL or zero is used as a
> reference to a memory location you will get this error.

I debugged a STATUS_ACCESS_VIOLATION problem that I encountered when
trying Mercury on cygwin32 version b19.1.  As it happens, the problem
was due to the version of gcc distributed with b19.1 generating
incorrect code, rather than any of the alternatives 1-3 above.

Stipe Tolj <[email-masked]> also replied:
> I had some problems too in geting the Apache HTTP Server running. Since it
> is fork()ing childs, it seems to be crashing with a STATUS_ACCESS_VIOLATION
> after trying to init a child process. I assume that this could be the
> problem at your task.

A STATUS_ACCESS_VIOLATION is a quite common diagnostic which can have
a range of different causes, and in this particular case I don't think
the problem was related to the use of fork().

As I said in my previous mail, the problems have been solved in
the lastest snapshot of the Mercury distribution and in the versions
of egcs/binutils available at Mumit Khan's site.

-- 
Fergus Henderson <[email-masked]>  |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>  |  of excellence is a lethal habit"
PGP: finger [email-masked]        |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".